//
//  NewPerimeterCellView.swift
//  Sequoia
//
//  Created by Victor on 26/09/2024.
//

import SwiftUI

struct NewPerimeterCellView: View {

    var body: some View {
        VStack(spacing: 16) {
            SQText("Vous souhaitez ajouter un nouveau périmètre ?", size: 24, font: .bold)
                .multilineTextAlignment(.center)
            SQText("Si vous souhaitez couvrir une zone géographique différente de votre périmètre actuel, souscrivez à un nouvel abonnement pour proposer vos services dans ce nouveau secteur.")
            SQButton("Souscrire à un nouveau périmètre", color: .sqOrange(50), textColor: .sqOrange(50), isFull: false) {}
            SQText("À partir de 9,99€ / mois, sans engagement", size: 13)
        }
        .padding(.horizontal, 32)
        .padding(.vertical, 16)
        .cornerRadius(8)
        .overlay(
            RoundedRectangle(cornerRadius: 8)
                .inset(by: 0.5)
                .stroke(Color.sqNeutral(20), lineWidth: 1)
        )
    }
}

#Preview {
    NewPerimeterCellView()
        .padding()
}
